%define upstream_name    App-Sky
%define upstream_version 0.0.6

Name:       sky
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Uploader that gives back a URL
License:    MIT
Group:      Networking/WWW
Url:        http://www.shlomifish.org/open-source/projects/sky/
Source0:    http://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(YAML::XS)
BuildRequires: perl
BuildArch:  noarch

%description
sky is a wrapper around uploaders such as rsync, which uploads a file to a
remote host with a web service, and gives you a URL that will allow other
people to download it immediately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes META.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-2.mga4
+ Revision: 534549
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 shlomif <shlomif> 0.0.6-1.mga4
+ Revision: 478304
- New version 0.0.6+permanent /usr/bin/perl

* Sat Jun 01 2013 shlomif <shlomif> 0.0.2-1.mga4
+ Revision: 434196
- Missing BRs
- Fix rpmlint warnings
- Remove dot
- imported package sky

